package com.ym.mec.biz.dal.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum StudentMusicGroupStatusEnum implements BaseEnum<String, StudentMusicGroupStatusEnum> {
    APPLY("APPLY","报名"),NORMAL("NORMAL", "在读"), QUIT("QUIT", "退班"), QUIT_SCHOOL("QUIT_SCHOOL","休学");

    private String code;

    private String msg;

    StudentMusicGroupStatusEnum(String code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

    @Override
    public String getCode() {
        return this.code;
    }
}
